From: [email-masked] (Carsten Schiers)
Date: Sat, 03 Jul 1993 01:02:10 GMT

[email-masked] (Keith Kong) writes:

>Can someone please post the Xconfig for the MAG 17" monitor?

This here works for ATI with Nec 4FG. Change your mouse settings. BTW: Nothing
special is put into it. Just Chipset and Clocks as stated. And before you 
encounter this problem: there is a patch for the problem of text mode screen
garbage after leaving X in XFree-1.3.

bcr> The patch is include with Xconfig-file 1

--------------------------------- cut here ------------------------------------
# $XFree86: mit/server/ddx/x386/Xconfig.cpp,v 1.9 1993/03/27 09:03:01 dawes Exp $
# $XConsortium: Xconfig,v 1.2 91/08/26 14:34:55 gildea Exp $
#
# Copyright 1990,91 by Thomas Roell, Dinkelscherben, Germany.
#
# Permission to use, copy, modify, distribute, and sell this software and its
# documentation for any purpose is hereby granted without fee, provided that
# the above copyright notice appear in all copies and that both that
# copyright notice and this permission notice appear in supporting
# documentation, and that the name of Thomas Roell not be used in
# advertising or publicity pertaining to distribution of the software without
# specific, written prior permission.  Thomas Roell makes no representations
# about the suitability of this software for any purpose.  It is provided
# "as is" without express or implied warranty.
#
# THOMAS ROELL DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
# INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO
# EVENT SHALL THOMAS ROELL BE LIABLE FOR ANY SPECIAL, INDIRECT OR
# CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE,
# DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER
# TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
# PERFORMANCE OF THIS SOFTWARE.
#
# Author:  Thomas Roell, [email-masked]
#
# Extensive modifications by the XFree86 Core Team

#
# ** Refer to the X386 man page for details about the format of this file **
# ** The X386 man page is installed as /usr/X386/man/man1/XFree86.1x **
#

#
# some nice paths, to avoid conflicts with other X-servers
#
RGBPath		"/usr/X386/lib/X11/rgb"

#
# Multiple FontPath entries are allowed (which are concatenated together),
# as well as specifying multiple comma-separated entries in one FontPath
# command (or a combination of both methods)
#
FontPath	"/usr/X386/lib/X11/fonts/misc/"
FontPath	"/usr/X386/lib/X11/fonts/Type1/"
FontPath	"/usr/X386/lib/X11/fonts/Speedo/"
FontPath	"/usr/X386/lib/X11/fonts/75dpi/"
# FontPath	"/usr/X386/lib/X11/fonts/100dpi/"

#
# Uncomment this to cause a core dump at the spot where a signal is 
# received.  This may leave the console in an unusable state, but may
# provide a better stack trace in the core dump to aid in debugging
#
# NoTrapSignals

#
# Enable this to use the XQUEUE driver for keyboard and mouse handling
# under System V.  This may go away in the future.
#
# Note - If you use XQUEUE, you must comment out the keyboard and
#        mouse definitions.
#
# Xqueue

#
# Keyboard and various keyboard-related parameters
#
Keyboard
  AutoRepeat 500 5
  ServerNumLock
#  Xleds      1 2 3
#  DontZap
#
# To set the LeftAlt to Meta, RightAlt key to ModeShift, 
# RightCtl key to Compose, and ScrollLock key to ModeLock:
# 
LeftAlt     Meta
RightAlt    ModeShift
RightCtl    Compose
ScrollLock  ModeLock

#
# Mouse definition and related parameters
#
MouseSystems	"/dev/mouse"
  BaudRate	1200
#  SampleRate	150
#  Emulate3Buttons

#
# The graphics drivers
# First the 8-bit colour SVGA driver
#
vga256
  ChipSet "ati"
  Clocks 18 22 25 28 36 44 50 56 30 32 37 39 40 0 75 65

#
# To disable SpeedUp, use NoSpeedUp
#
#  NoSpeedUp
#  Virtual	1152 900

#  Virtual	1024 1024
  ViewPort      0 0
  Modes	        "1024x768"

#
# And last,  the database of video modes
#
ModeDB
# OFFICIAL VESA Monitor timings + IBM Standards - TRY THESE FIRST
# Contributor:          Thomas Roell [[email-masked]]
# Last Edit Date:       3/29/92
#
# name        clock   horizontal timing     vertical timing      flags
 "640x480"     25      640  664  760  800    480  491  493  525
               31      640  664  704  832    480  489  492  520
 "800x600"     36      800  824  896 1024    600  601  603  625
               40      800  840  968 1056    600  601  605  628
               50      800  856  976 1040    600  637  643  666
 "1024x768i"   44     1024 1040 1216 1264    768  777  785  817  Interlace
 "1024x768"    65     1024 1032 1176 1344    768  771  777  806
               75     1024 1048 1184 1328    768  771  777  806
               85     1024 1032 1152 1360    768  784  787  823
 "1280x1024i"  80     1280 1296 1512 1568   1024 1025 1037 1165  Interlace
 "1280x1024"  110     1280 1328 1512 1712   1024 1025 1028 1054
              135     1280 1312 1456 1712   1024 1027 1030 1064
-- 
Carsten Schiers		[email-masked]
Lerchenfeld 9
22081 Hamburg